Your submission was sent successfully! Close

You have successfully unsubscribed! Close

Thank you for signing up for our newsletter!
In these regular emails you will find the latest updates about Ubuntu and upcoming events where you can meet our team.Close

CVE-2023-2602

Published: 15 May 2023

A vulnerability was found in the pthread_create() function in libcap. This issue may allow a malicious actor to use cause __real_pthread_create() to return an error, which can exhaust the process memory.

Notes

AuthorNote
alexmurray
also referenced as LCAP-CR-23-01

Priority

Low

Cvss 3 Severity Score

3.3

Score breakdown

Status

Package Release Status
libcap2
Launchpad, Ubuntu, Debian
bionic Needs triage

trusty Needs triage

xenial Needs triage

jammy
Released (1:2.44-1ubuntu0.22.04.1)
kinetic
Released (1:2.44-1ubuntu0.22.10.1)
lunar
Released (1:2.66-3ubuntu2.1)
upstream
Released (1:2.66-4)
focal
Released (1:2.32-1ubuntu0.1)
mantic
Released (1:2.66-4ubuntu1)
Patches:
upstream: https://git.kernel.org/pub/scm/libs/libcap/libcap.git/commit/?id=bc6b36682f188020ee4770fae1d41bde5b2c97bb

Severity score breakdown

Parameter Value
Base score 3.3
Attack vector Local
Attack complexity Low
Privileges required Low
User interaction None
Scope Unchanged
Confidentiality None
Integrity impact None
Availability impact Low
Vector CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:N/I:N/A:L